Page MenuHomePhabricator

Migrate XML page generators to pagegenerators.py
Open, HighPublic

Description

Build tests for the current XML page generators in each of (four of six completed)

And create a superclass in pagenerators.py to provide the common functionality with unit tests, so that each script only needs to either use filters or subclass the generic XML Page generator to perform the custom behaviour.

Details

Related Gerrit Patches:

Event Timeline

jayvdb created this task.Dec 26 2014, 6:54 AM
jayvdb claimed this task.
jayvdb raised the priority of this task from to High.
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: Unknown Object (MLST).

Change 181719 had a related patch set uploaded (by John Vandenberg):
Add reflinks xml tests

https://gerrit.wikimedia.org/r/181719

Patch-For-Review

Change 181713 had a related patch set uploaded (by John Vandenberg):
Add tests for XML export v0.10

https://gerrit.wikimedia.org/r/181713

Patch-For-Review

Change 181713 merged by jenkins-bot:
Add tests for XML export v0.10

https://gerrit.wikimedia.org/r/181713

Change 181719 merged by jenkins-bot:
Add reflinks xml tests

https://gerrit.wikimedia.org/r/181719

jayvdb set Security to None.
jayvdb updated the task description. (Show Details)Sep 20 2015, 8:55 AM

Change 239658 had a related patch set uploaded (by John Vandenberg):
Migrate XmlDumpPageGenerator to pagegenerators

https://gerrit.wikimedia.org/r/239658

Change 239658 merged by jenkins-bot:
Migrate XmlDumpPageGenerator to pagegenerators

https://gerrit.wikimedia.org/r/239658

jayvdb updated the task description. (Show Details)Jan 19 2016, 7:29 AM

Change 266018 had a related patch set uploaded (by Mpaa):
replace.py: Migrate XML page generator to pagegenerators.py

https://gerrit.wikimedia.org/r/266018

Change 266018 abandoned by Mpaa:
replace.py: Migrate XML page generator to pagegenerators.py

https://gerrit.wikimedia.org/r/266018